package vip.xiaonuo.quality.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2025-03-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("erp_bd_quail")
public class ErpBdQuail implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 质检id
     */
    private Integer incQcSchemeId;

    /**
     * 外键id
     */
    private Integer fmaterialId;

    /**
     * 名称
     */
    private String fname;

    /**
     * 检验项目
     */
    private String fBglRemark;

    /**
     * 单位
     */
    private String fBglText;

    /**
     * 标准值
     */
    private String fBglText1;

    /**
     * 物料编码
     */
    private String fnumber;

    /**
     * 部门id
     */
    private Integer fuseorgid;

    /**
     * 目标值
     */
    private String ftargetval;

    /**
     * 上限值
     */
    private String fuplimit;

    /**
     * 下限值
     */
    private String fdownlimit;

    private String orgId;

    private Date createTime;


}
